#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	pod2text driver_characteristics > debian/driver_characteristics

override_dh_auto_install:
	dh_auto_install
	# Renaming dbfdump and indexdump to dbf_dump and index_dump to avoid
	# filename clashes with shapelib (see bug #274792)
	mv $(TMP)/usr/bin/dbfdump $(TMP)/usr/bin/dbf_dump
	mv $(TMP)/usr/bin/indexdump $(TMP)/usr/bin/index_dump
	mv $(TMP)/usr/share/man/man1/dbfdump.1p $(TMP)/usr/share/man/man1/dbf_dump.1p
	mv $(TMP)/usr/share/man/man1/indexdump.1p $(TMP)/usr/share/man/man1/index_dump.1p
	sed -i -e 's/DUMP/_DUMP/' $(TMP)/usr/share/man/man1/*.1p
